
QGIS Application - Feature request #1004

Zoom to mouse cursor

2008-03-19 01:00 PM - anachronics -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: GUI

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11064

Description

Add support for mouse wheel to zoom to the coordinates pointed by the mouse cursor (like other graphic/modeling/gis apps).

History

#1 - 2008-03-19 01:04 PM - anachronics -

- Status changed from Open to In Progress

#2 - 2008-03-19 01:14 PM - anachronics -

- Resolution set to fixed

- Status changed from In Progress to Closed

see diff enhancement_1004.txt

#3 - 2008-03-19 05:01 PM - Tim Sutton

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

Is this really applied in SVN? I think there may have been a misunderstanding from John Tull's positive response to your submitting this patch. I'm

reopening it again. Whoever applies it please include the revision number at which patch was applied in this tickets comments when closing it.

Thanks

Tim

#4 - 2008-03-19 05:02 PM - Tim Sutton

- Status changed from Feedback to Open

Changed owner to Marco

#5 - 2008-03-20 12:29 AM - Marco Hugentobler

As I see it, this is more a 'Zoom to direction of mouse cursor'. Is this correct? If yes, then I'm gonna change the name accordingly before applying the patch

cheers,

Marco
#6 - 2008-03-25 08:44 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Applied to svn without name change, as 'Zoom to direction of mouse cursor' is a bit long.

Thanks a lot for the contribution!

cheers,

Marco

#7 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
